varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;
uniform lowp vec4 u_color4;


float f(float a, float b) {
	if(a < 0.5)
		return 2.0 * a * b;
	else
		return 1.0 - (2.0 * (1.0 - a) * (1.0 - b));
}


void main() {
	
	vec4 a = u_color4;
	vec4 b = texture2D(u_texture, v_texCoord);

	gl_FragColor = vec4(f(a.r, b.r), f(a.g, b.g), f(a.b, b.b), b.a);
}