varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;
uniform sampler2D u_texture1;
uniform lowp vec4 u_color4;

void main() {

	float fuzziness = 0.5;
	float phase = u_color4.a;

	float r = texture2D(u_texture1, v_texCoord).r;

	float a = smoothstep(0.0, fuzziness, r + fuzziness - ((1.0 + fuzziness) * phase));

	vec4 texCol = texture2D(u_texture, v_texCoord);
	texCol.a = a;

	gl_FragColor = texCol;
}